Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class TransformerIdentityImpl

    java.lang.Object
      |
      +--javax.xml.transform.Transformer
            |
            +--weblogic.apache.xalan.transformer.TransformerIdentityImpl

public class TransformerIdentityImpl
extends javax.xml.transform.Transformer
implements javax.xml.transform.sax.TransformerHandler, org.xml.sax.ext.DeclHandler

This class implements an identity transformer for and {@link javax.xml.transform.TransformerFactory#newTransformer(). It simply feeds SAX events directly to a serializer ContentHandler, if the result is a stream. If the result is a DOM, it will send the events to `DOMBuilder`. If the result is another content handler, it will simply pass the events on.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`TransformerIdentityImpl()` Constructor TransformerIdentityImpl creates an identity transform.

Method Summary
`void` | `attributeDecl(java.lang.String eName, java.lang.String aName, java.lang.String type, java.lang.String valueDefault, java.lang.String value)` Report an attribute type declaration.
`void` | `characters(char[] ch, int start, int length)` Receive notification of character data inside an element.
`void` | `clearParameters()` Clear all parameters set with setParameter.
`void` | `comment(char[] ch, int start, int length)` Report an XML comment anywhere in the document.
`void` | `elementDecl(java.lang.String name, java.lang.String model)` Report an element type declaration.
`void` | `endCDATA()` Report the end of a CDATA section.
`void` | `endDocument()` Receive notification of the end of the document.
`void` | `endDTD()` Report the end of DTD declarations.
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Receive notification of the end of an element.
`void` | `endEntity(java.lang.String name)` Report the end of an entity.
`void` | `endPrefixMapping(java.lang.String prefix)` Receive notification of the end of a Namespace mapping.
`void` | `externalEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report a parsed external entity declaration.
`protected void` | `flushStartDoc()`
`javax.xml.transform.ErrorListener` | `getErrorListener()` Get the error event handler in effect for the transformation.
`java.util.Properties` | `getOutputProperties()` Get a copy of the output properties for the transformation.
`java.lang.String` | `getOutputProperty(java.lang.String name)` Get an output property that is in effect for the transformation.
`java.lang.Object` | `getParameter(java.lang.String name)` Get a parameter that was explicitly set with setParameter or setParameters.
`java.lang.String` | `getSystemId()` Get the base ID (URI or system ID) from where relative URLs will be resolved.
`javax.xml.transform.Transformer` | `getTransformer()` Get the Transformer associated with this handler, which is needed in order to set parameters and output properties.
`javax.xml.transform.URIResolver` | `getURIResolver()` Get an object that will be used to resolve URIs used in document(), etc.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Receive notification of ignorable whitespace in element content.
`void` | `internalEntityDecl(java.lang.String name, java.lang.String value)` Report an internal entity declaration.
`void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Receive notification of a notation declaration.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Receive notification of a processing instruction.
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Receive a Locator object for document events.
`void` | `setErrorListener(javax.xml.transform.ErrorListener listener)` Set the error event listener in effect for the transformation.
`void` | `setOutputProperties(java.util.Properties oformat)` Set the output properties for the transformation.
`void` | `setOutputProperty(java.lang.String name, java.lang.String value)` Set an output property that will be in effect for the transformation.
`void` | `setParameter(java.lang.String name, java.lang.Object value)` Add a parameter for the transformation.
`void` | `setResult(javax.xml.transform.Result result)` Enables the user of the TransformerHandler to set the to set the Result for the transformation.
`void` | `setSystemId(java.lang.String systemID)` Set the base ID (URI or system ID) from where relative URLs will be resolved.
`void` | `setURIResolver(javax.xml.transform.URIResolver resolver)` Set an object that will be used to resolve URIs used in document().
`void` | `skippedEntity(java.lang.String name)` Receive notification of a skipped entity.
`void` | `startCDATA()` Report the start of a CDATA section.
`void` | `startDocument()` Receive notification of the beginning of the document.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report the start of DTD declarations, if any.
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` Receive notification of the start of an element.
`void` | `startEntity(java.lang.String name)` Report the beginning of an entity in content.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Receive notification of the start of a Namespace mapping.
`void` | `transform(javax.xml.transform.Source source, javax.xml.transform.Result outputTarget)` Process the source tree to the output result.
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` Receive notification of an unparsed entity declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerIdentityImpl

    public TransformerIdentityImpl()

  Constructor TransformerIdentityImpl creates an identity transform.

Method Detail

### setResult

    public void setResult(javax.xml.transform.Result result)
                   throws java.lang.IllegalArgumentException

  Enables the user of the TransformerHandler to set the to set the Result for the transformation.
  Specified by:
    setResult in interface javax.xml.transform.sax.TransformerHandler

  Parameters:
    `result` - A Result instance, should not be null.
  Throws:
    java.lang.IllegalArgumentException - if result is invalid for some reason.

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Set the base ID (URI or system ID) from where relative URLs will be resolved.
  Specified by:
    setSystemId in interface javax.xml.transform.sax.TransformerHandler

  Parameters:
    `systemID` - Base URI for the source tree.

### getSystemId

    public java.lang.String getSystemId()

  Get the base ID (URI or system ID) from where relative URLs will be resolved.
  Specified by:
    getSystemId in interface javax.xml.transform.sax.TransformerHandler

  Returns:
    The systemID that was set with `setSystemId(java.lang.String)`.

### getTransformer

    public javax.xml.transform.Transformer getTransformer()

  Get the Transformer associated with this handler, which is needed in order to set parameters and output properties.
  Specified by:
    getTransformer in interface javax.xml.transform.sax.TransformerHandler

  Returns:
    non-null reference to the transformer.

### transform

    public void transform(javax.xml.transform.Source source,
                          javax.xml.transform.Result outputTarget)
                   throws javax.xml.transform.TransformerException

  Process the source tree to the output result.

  Parameters:
    `source` - The input for the source tree.
    `outputTarget` - The output target.
  Throws:
    javax.xml.transform.TransformerException - If an unrecoverable error occurs during the course of the transformation.
  Overrides:
    transform in class javax.xml.transform.Transformer

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.Object value)

  Add a parameter for the transformation.

  Pass a qualified name as a two-part string, the namespace URI enclosed in curly braces ({}), followed by the local name. If the name has a null URL, the String only contain the local name. An application can safely check for a non-null URI by testing to see if the first character of the name is a '{' character.

  For example, if a URI and local name were obtained from an element defined with <xyz:foo xmlns:xyz="http://xyz.foo.com/yada/baz.html"/>, then the qualified name would be "{http://xyz.foo.com/yada/baz.html}foo". Note that no prefix is used.

  Parameters:
    `name` - The name of the parameter, which may begin with a namespace URI in curly braces ({}).
    `value` - The value object. This can be any valid Java object. It is up to the processor to provide the proper object coersion or to simply pass the object on for use in an extension.
  Overrides:
    setParameter in class javax.xml.transform.Transformer

### getParameter

    public java.lang.Object getParameter(java.lang.String name)

  Get a parameter that was explicitly set with setParameter or setParameters.

  This method does not return a default parameter value, which cannot be determined until the node context is evaluated during the transformation process.

  Parameters:
    `name` - Name of the parameter.
  Returns:
    A parameter that has been set with setParameter.
  Overrides:
    getParameter in class javax.xml.transform.Transformer

### clearParameters

    public void clearParameters()

  Clear all parameters set with setParameter.

  Overrides:
    clearParameters in class javax.xml.transform.Transformer

### setURIResolver

    public void setURIResolver(javax.xml.transform.URIResolver resolver)

  Set an object that will be used to resolve URIs used in document().

  If the resolver argument is null, the URIResolver value will be cleared, and the default behavior will be used.

  Parameters:
    `resolver` - An object that implements the URIResolver interface, or null.
  Overrides:
    setURIResolver in class javax.xml.transform.Transformer

### getURIResolver

    public javax.xml.transform.URIResolver getURIResolver()

  Get an object that will be used to resolve URIs used in document(), etc.

  Returns:
    An object that implements the URIResolver interface, or null.
  Overrides:
    getURIResolver in class javax.xml.transform.Transformer

### setOutputProperties

    public void setOutputProperties(java.util.Properties oformat)
                             throws java.lang.IllegalArgumentException

  Set the output properties for the transformation. These properties will override properties set in the Templates with xsl:output.

  If argument to this function is null, any properties previously set are removed, and the value will revert to the value defined in the templates object.

  Pass a qualified property key name as a two-part string, the namespace URI enclosed in curly braces ({}), followed by the local name. If the name has a null URL, the String only contain the local name. An application can safely check for a non-null URI by testing to see if the first character of the name is a '{' character.

  For example, if a URI and local name were obtained from an element defined with <xyz:foo xmlns:xyz="http://xyz.foo.com/yada/baz.html"/>, then the qualified name would be "{http://xyz.foo.com/yada/baz.html}foo". Note that no prefix is used.

  Parameters:
    `oformat` - A set of output properties that will be used to override any of the same properties in affect for the transformation.
  Throws:
    java.lang.IllegalArgumentException - if any of the argument keys are not recognized and are not namespace qualified.
  Overrides:
    setOutputProperties in class javax.xml.transform.Transformer
  See Also:
    `OutputKeys`, `Properties`

### getOutputProperties

    public java.util.Properties getOutputProperties()

  Get a copy of the output properties for the transformation.

  The properties returned should contain properties set by the user, and properties set by the stylesheet, and these properties are "defaulted" by default properties specified by section 16 of the XSL Transformations (XSLT) W3C Recommendation. The properties that were specifically set by the user or the stylesheet should be in the base Properties list, while the XSLT default properties that were not specifically set should be the default Properties list. Thus, getOutputProperties().getProperty(String key) will obtain any property in that was set by `setOutputProperty(java.lang.String, java.lang.String)`, `setOutputProperties(java.util.Properties)`, in the stylesheet, or the default properties, while getOutputProperties().get(String key) will only retrieve properties that were explicitly set by `setOutputProperty(java.lang.String, java.lang.String)`, `setOutputProperties(java.util.Properties)`, or in the stylesheet.

  Note that mutation of the Properties object returned will not effect the properties that the transformation contains.

  If any of the argument keys are not recognized and are not namespace qualified, the property will be ignored. In other words the behaviour is not orthogonal with setOutputProperties.

  Returns:
    A copy of the set of output properties in effect for the next transformation.
  Overrides:
    getOutputProperties in class javax.xml.transform.Transformer
  See Also:
    `OutputKeys`, `Properties`

### setOutputProperty

    public void setOutputProperty(java.lang.String name,
                                  java.lang.String value)
                           throws java.lang.IllegalArgumentException

  Set an output property that will be in effect for the transformation.

  Pass a qualified property name as a two-part string, the namespace URI enclosed in curly braces ({}), followed by the local name. If the name has a null URL, the String only contain the local name. An application can safely check for a non-null URI by testing to see if the first character of the name is a '{' character.

  For example, if a URI and local name were obtained from an element defined with <xyz:foo xmlns:xyz="http://xyz.foo.com/yada/baz.html"/>, then the qualified name would be "{http://xyz.foo.com/yada/baz.html}foo". Note that no prefix is used.

  The Properties object that was passed to `setOutputProperties(java.util.Properties)` won't be effected by calling this method.

  Parameters:
    `name` - A non-null String that specifies an output property name, which may be namespace qualified.
    `value` - The non-null string value of the output property.
  Throws:
    java.lang.IllegalArgumentException - If the property is not supported, and is not qualified with a namespace.
  Overrides:
    setOutputProperty in class javax.xml.transform.Transformer
  See Also:
    `OutputKeys`

### getOutputProperty

    public java.lang.String getOutputProperty(java.lang.String name)
                                       throws java.lang.IllegalArgumentException

  Get an output property that is in effect for the transformation. The property specified may be a property that was set with setOutputProperty, or it may be a property specified in the stylesheet.

  Parameters:
    `name` - A non-null String that specifies an output property name, which may be namespace qualified.
  Returns:
    The string value of the output property, or null if no property was found.
  Throws:
    java.lang.IllegalArgumentException - If the property is not supported.
  Overrides:
    getOutputProperty in class javax.xml.transform.Transformer
  See Also:
    `OutputKeys`

### setErrorListener

    public void setErrorListener(javax.xml.transform.ErrorListener listener)
                          throws java.lang.IllegalArgumentException

  Set the error event listener in effect for the transformation.

  Parameters:
    `listener` - The new error listener.
  Throws:
    java.lang.IllegalArgumentException - if listener is null.
  Overrides:
    setErrorListener in class javax.xml.transform.Transformer

### getErrorListener

    public javax.xml.transform.ErrorListener getErrorListener()

  Get the error event handler in effect for the transformation.

  Returns:
    The current error handler, which should never be null.
  Overrides:
    getErrorListener in class javax.xml.transform.Transformer

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Receive notification of a notation declaration.

  By default, do nothing. Application writers may override this method in a subclass if they wish to keep track of the notations declared in a document.

  Parameters:
    `name` - The notation name.
    `publicId` - The notation public identifier, or null if not available.
    `systemId` - The notation system identifier.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `DTDHandler.notationDecl(java.lang.String, java.lang.String, java.lang.String)`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)
                            throws org.xml.sax.SAXException

  Receive notification of an unparsed entity declaration.

  By default, do nothing. Application writers may override this method in a subclass to keep track of the unparsed entities declared in a document.

  Parameters:
    `name` - The entity name.
    `publicId` - The entity public identifier, or null if not available.
    `systemId` - The entity system identifier.
    `notationName` - The name of the associated notation.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Receive a Locator object for document events.

  By default, do nothing. Application writers may override this method in a subclass if they wish to store the locator for use with other document events.

  Parameters:
    `locator` - A locator for all SAX document events.
  See Also:
    `ContentHandler.setDocumentLocator(org.xml.sax.Locator)`, `Locator`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Receive notification of the beginning of the document.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions at the beginning of a document (such as allocating the root node of a tree or creating an output file).

  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.startDocument()`

### flushStartDoc

    protected final void flushStartDoc()
                                throws org.xml.sax.SAXException

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Receive notification of the end of the document.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions at the end of a document (such as finalising a tree or closing an output file).

  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.endDocument()`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Receive notification of the start of a Namespace mapping.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions at the start of each Namespace prefix scope (such as storing the prefix mapping).

  Parameters:
    `prefix` - The Namespace prefix being declared.
    `uri` - The Namespace URI mapped to the prefix.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Receive notification of the end of a Namespace mapping.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions at the end of each prefix mapping.

  Parameters:
    `prefix` - The Namespace prefix being declared.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.endPrefixMapping(java.lang.String)`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Receive notification of the start of an element.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions at the start of each element (such as allocating a new tree node or writing output to a file).

  Parameters:
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `qName` - The qualified name (with prefix), or the empty string if qualified names are not available.
    `attributes` - The specified or defaulted attributes.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Receive notification of the end of an element.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions at the end of each element (such as finalising a tree node or writing output to a file).

  Parameters:
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `qName` - The qualified name (with prefix), or the empty string if qualified names are not available.
    `attributes` - The specified or defaulted attributes.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Receive notification of character data inside an element.

  By default, do nothing. Application writers may override this method to take specific actions for each chunk of character data (such as adding the data to a node or buffer, or printing it to a file).

  Parameters:
    `ch` - The characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.characters(char[], int, int)`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Receive notification of ignorable whitespace in element content.

  By default, do nothing. Application writers may override this method to take specific actions for each chunk of ignorable whitespace (such as adding data to a node or buffer, or printing it to a file).

  Parameters:
    `ch` - The whitespace characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.ignorableWhitespace(char[], int, int)`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Receive notification of a processing instruction.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions for each processing instruction, such as setting status variables or invoking other methods.

  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none is supplied.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Receive notification of a skipped entity.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions for each processing instruction, such as setting status variables or invoking other methods.

  Parameters:
    `name` - The name of the skipped entity.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Report the start of DTD declarations, if any.

  Any declarations are assumed to be in the internal subset unless otherwise indicated by a startEntity event.

  Note that the start/endDTD events will appear within the start/endDocument events from ContentHandler and before the first startElement event.

  Parameters:
    `name` - The document type name.
    `publicId` - The declared public identifier for the external DTD subset, or null if none was declared.
    `systemId` - The declared system identifier for the external DTD subset, or null if none was declared.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endDTD()`, `startEntity(java.lang.String)`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Report the end of DTD declarations.

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startDTD(java.lang.String, java.lang.String, java.lang.String)`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Report the beginning of an entity in content.

  NOTE: entity references in attribute values -- and the start and end of the document entity -- are never reported.

  The start and end of the external DTD subset are reported using the pseudo-name "[dtd]". All other events must be properly nested within start/end entity events.

  Note that skipped entities will be reported through the skippedEntity event, which is part of the ContentHandler interface.

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endEntity(java.lang.String)`, `DeclHandler.internalEntityDecl(java.lang.String, java.lang.String)`, `DeclHandler.externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Report the end of an entity.

  Parameters:
    `name` - The name of the entity that is ending.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startEntity(java.lang.String)`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Report the start of a CDATA section.

  The contents of the CDATA section will be reported through the regular characters event.

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endCDATA()`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Report the end of a CDATA section.

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startCDATA()`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Report an XML comment anywhere in the document.

  This callback will be used for comments inside or outside the document element, including comments in the external DTD subset (if read).

  Parameters:
    `ch` - An array holding the characters in the comment.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String model)
                     throws org.xml.sax.SAXException

  Report an element type declaration.

  The content model will consist of the string "EMPTY", the string "ANY", or a parenthesised group, optionally followed by an occurrence indicator. The model will be normalized so that all whitespace is removed,and will include the enclosing parentheses.

  Specified by:
    elementDecl in interface org.xml.sax.ext.DeclHandler

  Parameters:
    `name` - The element type name.
    `model` - The content model as a normalized string.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.

### attributeDecl

    public void attributeDecl(java.lang.String eName,
                              java.lang.String aName,
                              java.lang.String type,
                              java.lang.String valueDefault,
                              java.lang.String value)
                       throws org.xml.sax.SAXException

  Report an attribute type declaration.

  Only the effective (first) declaration for an attribute will be reported. The type will be one of the strings "CDATA", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", "ENTITY", "ENTITIES", or "NOTATION", or a parenthesized token group with the separator "|" and all whitespace removed.

  Specified by:
    attributeDecl in interface org.xml.sax.ext.DeclHandler

  Parameters:
    `eName` - The name of the associated element.
    `aName` - The name of the attribute.
    `type` - A string representing the attribute type.
    `valueDefault` - A string representing the attribute default ("#IMPLIED", "#REQUIRED", or "#FIXED") or null if none of these applies.
    `value` - A string representing the attribute's default value, or null if there is none.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   java.lang.String value)
                            throws org.xml.sax.SAXException

  Report an internal entity declaration.

  Only the effective (first) declaration for each entity will be reported.

  Specified by:
    internalEntityDecl in interface org.xml.sax.ext.DeclHandler

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
    `value` - The replacement text of the entity.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`, `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId)
                            throws org.xml.sax.SAXException

  Report a parsed external entity declaration.

  Only the effective (first) declaration for each entity will be reported.

  Specified by:
    externalEntityDecl in interface org.xml.sax.ext.DeclHandler

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
    `publicId` - The declared public identifier of the entity, or null if none was declared.
    `systemId` - The declared system identifier of the entity.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `internalEntityDecl(java.lang.String, java.lang.String)`, `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference